#ifndef MONITOR_H_INCLUDED
#define MONITOR_H_INCLUDED
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <string>
#include <gtk/gtk.h>
#include <linux/soundcard.h>

#include <X11/Xlib.h>
#include <X11/extensions/XInput.h>
#include <X11/extensions/XTest.h>
#include <X11/Xatom.h>
#include <X11/keysymdef.h>


#include "hibernate.h"
#include "video.h"
#include "resolution.h"
#include "dialog.h"

#include "images/brightness/lvl_0.xpm"
#include "images/brightness/lvl_1.xpm"
#include "images/brightness/lvl_2.xpm"
#include "images/brightness/lvl_3.xpm"
#include "images/brightness/lvl_4.xpm"
#include "images/brightness/lvl_5.xpm"
#include "images/brightness/lvl_6.xpm"
#include "images/brightness/lvl_7.xpm"
#include "images/wireless/wireless0.xpm"
#include "images/wireless/wireless1.xpm"
#include "images/video/video0.xpm"
#include "images/video/video1.xpm"
#include "images/video/video2.xpm"
#include "images/silent/fan0.xpm"
#include "images/silent/fan1.xpm"
#include "images/mute/mute0.xpm"
#include "images/mute/mute1.xpm"
#include "images/threeg/threeg0.xpm"
#include "images/threeg/threeg1.xpm"

#define fnESC   1
#define fnTilde   41
#define fnF1    59
#define fnF2    60
#define fnF3    61
#define fnF5    63
#define fnF6    64
#define fnF8    66
#define fnF9    67
#define fnF10    68
#define fn1    2
#define fn2    3
#define fnA    30
#define fnS    31
#define KEYPRESS 1
#define KEYRELEASE 0
using namespace std;

void initial();
gint monitorTimer(gpointer pointer);
void setMute();

#endif // MONITOR_H_INCLUDED
